Bug 215186 - Failure of Matrox drivera at startup.
Failure of Matrox drivera at startup.
Product: Fedora
Classification: Fedora
Component: xorg-x11-drv-mga (Show other bugs)
i686 Linux
medium Severity medium
: ---
: ---
Assigned To: Adam Jackson
Depends On:
  Show dependency treegraph
Reported: 2006-11-11 23:39 EST by Jerry Barrington
Modified: 2007-11-30 17:11 EST (History)
0 users

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Last Closed: 2007-01-24 21:00:22 EST
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---

Attachments (Terms of Use)
Conf file for vesa operation (566 bytes, text/plain)
2006-12-29 14:47 EST, Jerry Barrington
no flags Details
/var/log/Xorg.0.log VESA (42.73 KB, text/plain)
2006-12-29 14:50 EST, Jerry Barrington
no flags Details
Autodetect log file (42.73 KB, application/octet-stream)
2006-12-29 14:53 EST, Jerry Barrington
no flags Details
MGA conf file (658 bytes, text/plain)
2006-12-29 14:56 EST, Jerry Barrington
no flags Details
Log file for mga setup (42.73 KB, text/plain)
2006-12-29 14:58 EST, Jerry Barrington
no flags Details

  None (edit)
Description Jerry Barrington 2006-11-11 23:39:23 EST
Description of problem:
Driver for Matrox G220 fails after anaconda selects 1064SG

Version-Release number of selected component (if applicable):

How reproducible:
Always during install

Steps to Reproduce:
1.Boot from first CD
2.get failure
Actual results:
during startup, X appears in center of screen then disappears leaving only a
black screen.  No further action from CD or hard drive after about 10 minutes.

Expected results:
First installation screen should appear.

Additional info:
Motherboard - Gigabyte GA-K8NSC-939
AMD-64 3200+
Matrox Mystique G220
Envision EN7410
Newly installed WD 250GiB SATA drive

All components function normally with FC5 and OS/2 eComStation

From another problem, boot with linux xdriver=vesa.  This works but poorly.
Changing after install to Matrox driver causes the same X and black screen
Comment 1 Matěj Cepl 2006-12-28 18:08:11 EST
Thanks for the bug report.  We have reviewed the information you have provided
above, and there is some additional information we require that will be helpful
in our diagnosis of this issue.

Please attach your X server config file (/etc/X11/xorg.conf) and X server log
file (/var/log/Xorg.*.log) to the bug report as individual uncompressed file
attachments using the bugzilla file attachment link below.

Could you please also try to run without any /etc/X11/xorg.conf whatsoever and
let X11 autodetect your display and video card? Attach to this bug
/var/log/Xorg.0.log from this attempt as well, please.

We will review this issue again once you've had a chance to attach this information.

Thanks in advance.
Comment 2 Jerry Barrington 2006-12-29 14:47:25 EST
Created attachment 144555 [details]
Conf file for vesa operation
Comment 3 Jerry Barrington 2006-12-29 14:50:42 EST
Created attachment 144557 [details]
/var/log/Xorg.0.log VESA

The VESA setup is functional, but ugly and unsatisfactory.
Comment 4 Jerry Barrington 2006-12-29 14:53:10 EST
Created attachment 144559 [details]
Autodetect log file

This one does not work properly.  X server does not start.
Comment 5 Jerry Barrington 2006-12-29 14:56:33 EST
Created attachment 144560 [details]
MGA conf file

Set video hardware to mga.  On reboot, X server did not start.	The screen
black.	Reset button was required to restart.
Comment 6 Jerry Barrington 2006-12-29 14:58:17 EST
Created attachment 144561 [details]
Log file for mga setup

Set video hardware to mga.  On reboot, X server did not start.	The screen
black.	Reset button was required to restart.  I hope that these files will
Comment 7 Jerry Barrington 2007-01-22 15:26:30 EST
I will not be able to research this one further.  I replaced the Matrox board,
thus clearing this problem on my system.

Thanks for your efforts.
Comment 8 Adam Jackson 2007-01-24 21:00:22 EST
Unfortunately the 'mga' log file here is really a vesa log file.

As there is no log from the mga driver, there is insufficient information to
continue working on this bug.  If you attach the log file from a run with the
mga driver, please reopen this bug, and we'll look into it.

Note You need to log in before you can comment on or make changes to this bug.